Last Comment Bug 593684 - The new Stop button is too eye catching
: The new Stop button is too eye catching
Status: RESOLVED FIXED
fixed by bug 684450
: ux-consistency, ux-minimalism
Product: Firefox
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: Firefox 9
Assigned To: Nobody; OK to take it and work on it
:
: Dão Gottwald [:dao]
Mentors:
Depends on: 684450
Blocks: 593293
  Show dependency treegraph
 
Reported: 2010-09-05 06:58 PDT by tommyjb
Modified: 2013-11-12 00:56 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments

Description tommyjb 2010-09-05 06:58:12 PDT
I find that the colour of the new Stop button makes it too eye catching.  When this button appears, I'm constantly drawn to it, as if it's something which requires my immediate attention.

Reproducible steps:

1) Load a page (e.g., Google) to make the Stop button appear.
2) Look away from the button, so that you can see it only in your peripheral vision.

In Step 2, my eyes are drawn to the Stop button.
Comment 1 Dave Garrett 2010-09-05 13:11:20 PDT
See also bug 593640 and its discussion. The appearance of the stop button is essentially now a loading indicator, and bright red usually means error.

Restating my suggestion from bug 593640:
> One possible suggestion would be to have the stop button only be red on hover
> and during loading have just a plain 'X' with a normal background, similar to
> how the refresh button state is done. If we still want some red in both states,
> the non-hovering 'X' itself could be red.
Comment 2 Dietrich Ayala (:dietrich) 2010-09-13 08:20:28 PDT
Not going to hold the release for this. Would love to see some UX attention on this though.
Comment 3 Siddhartha Dugar [:sdrocking] 2011-04-27 03:15:53 PDT
> One possible suggestion would be to have the stop button only be red on hover
> and during loading have just a plain 'X' with a normal background, similar to
> how the refresh button state is done. If we still want some red in both states,
> the non-hovering 'X' itself could be red.

+1

Note You need to log in before you can comment on or make changes to this bug.